require 'sass'

module Sass::Script::Functions
  def asset_url(path)
    assert_type path, :String
    Sass::Script::String.new("url(#{options[:asset_resolver].resolve_path(path.value, File.dirname(options[:original_filename]))})")
  end

  declare :asset_url, :args => [:string]
end
